Name:           matrix-gtk-theme
Version:        0
Release:        ec6ab20b.1.g%{?dist}
Summary:        A GTK theme based on the Matrix colour palette

License:        GPL-3.0-or-later
URL:            https://github.com/Fausto-Korpsvart/Matrix-GTK-Theme

%global commit ec6ab20bb286777cc118f402a5af4310a4831512

Source0:        %{URL}/archive/%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  sassc
Requires:       gtk-update-icon-cache

%description
A GTK theme based on the Matrix colour palette, with icon tweaks and optional macOS-style refinements.

%prep
%autosetup -n Matrix-GTK-Theme-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/themes
install -dm 755 %{buildroot}/usr/share/icons

cd themes
./install.sh -l --tweaks macos -d %{buildroot}/usr/share/themes

cp -a ../icons/Matrix-Dark ../icons/Matrix-Sweet %{buildroot}/usr/share/icons/

%files
%license LICENSE
%doc README.md
/usr/share/themes/*
/usr/share/icons/Matrix-Dark
/usr/share/icons/Matrix-Sweet

%changelog
* Sat Apr 19 2025 15:29 Little Owl <littleowl@athenaos.org>
- Synced with upstream
